Get board custom fieldsGET

Description

Returns the custom fields available on the board.

Permissions

The API token needs Board settings and members or All data read access.

Request format

curl https://kanbanflow.com/api/v1/custom-fields

Example response

[
    {
        "_id": "VVH383",
        "name": "Project code",
        "fieldType": "text"
    },
    {
        "_id": "gde6TS",
        "name": "Budget",
        "fieldType": "number",
        "numberSettings": {
            "prefix": "$"
        }
    },
    {
        "_id": "c4tPlu",
        "name": "City",
        "fieldType": "dropdown",
        "dropdownOptions": [
            {
                "text": "London"
            },
            {
                "text": "New York"
            }
        ]
    }
]